dofile("scripts/LevelManager.lua");

LManager = LevelManager.create();

LManager:AddNewTable( 1, 4, 270, 250, "assets/images/table/ballroom", "assets/images/food/item_mark3", "R" );
LManager:AddNewTable( 2, 3, 180, 400, "assets/images/table/ballroom", "assets/images/food/item_mark1", "R" );
LManager:AddNewTable( 3, 3, 400, 400, "assets/images/table/ballroom", "assets/images/food/item_mark2", "R" );

useFloAsServer = 0;
useWineTable = 0;
numMoodBoosts = 0;
numServers = 1;
maxCoupleHappiness = 200;

-- Group 1
guest = LManager.GenGuest(uncle);
guest.matchType = table3;
guest.percentRequestCoffee = 30;
LManager:AddGuest(guest);

guest = LManager.GenGuest(uncle);
guest.matchType = female01;
LManager:AddGuest(guest);

guest = LManager.GenGuest(female01);
guest.matchType = table2;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(1, 3, 3000);

-- Group 2

guest = LManager.GenGuest(female03);
guest.matchType = table1;
LManager:AddGuest(guest);


LManager:SetSeatingGroup(4, 4, 12000);


--Group 3


guest = LManager.GenGuest(female01);
guest.matchType = male01;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male01);
guest.matchType = table3;
LManager:AddGuest(guest);


LManager:SetSeatingGroup(5, 6, 24000);

-- Group 4

guest = LManager.GenGuest(aunt);
guest.matchType = female01;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(7, 7, 36000);

-- Group 5

guest = LManager.GenGuest(male01);
guest.matchType = female03;
LManager:AddGuest(guest);

guest = LManager.GenGuest(female01);
guest.matchType = female03;
LManager:AddGuest(guest);

guest = LManager.GenGuest(female04);
guest.matchType = female01;
LManager:AddGuest(guest);


LManager:SetSeatingGroup(8, 10, 50000);


-- Group 6

guest = LManager.GenGuest(female03);
guest.matchType = table3;
LManager:AddGuest(guest);

guest = LManager.GenGuest(uncle);
guest.matchType = female03;
guest.percentRequestCoffee = 50;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male04);
guest.matchType = table2;
LManager:AddGuest(guest);

guest = LManager.GenGuest(uncle);
guest.matchType = male04;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(11, 14, 95000);

--Group 6

guest = LManager.GenGuest(male01);
guest.matchType = female03;
LManager:AddGuest(guest);

guest = LManager.GenGuest(female01);
guest.matchType = male04;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(15, 16, 120000);


LManager:AdjustGuestTolerance(130);

LManager:SetLevelSetting ("speakerDelay", 120000); 
LManager:SetLevelSetting ("speakerChance", 30);

LManager:AddQuinnEvent( "fx/fx_chef_table_fire.lua", 660, 155, 80000 );


--Reseating Requests
--LManager:AddReseatingRequest(85000);
--LManager:AddReseatingRequest(120000);


-- Set up the Level Settings
LManager:SetLevelNumber(2,4);
LManager:SetLevelScores(6000, 7800);
LManager:SetLevelTime(300000);

LManager:SetLevelSetting ("blaster", 0);

LManager:SetMusic("assets/audio/music/Big Band 2.ogg","assets/audio/music/uptempo_3.ogg", "assets/audio/music/uptempo_2.ogg");
LManager:SetBackgroundImage("assets/images/bg_ballroom");
LManager:SetChairImage("assets/images/table/chair02");

-- Generate Game Object
gameObject = LManager:GenerateGameObject();

-- Generate Level Settings
levelSetting = LManager:GenerateLevelSettings();

-- Generate Level Dialog
dofile( "scripts/LevelDialogGenerator.lua" );